
// user-defined libraries
#include "procedures.h"
#include "resource.h"

HINSTANCE instance_handle; // handle to application instance

// program main entry point
int WINAPI WinMain(HINSTANCE hInstance,HINSTANCE,PSTR,int)
{
     HWND     hwnd ;
     MSG      msg ;
     WNDCLASS wndclass ;

	 // define WINDOW CLASS properties
     wndclass.style         = CS_HREDRAW | CS_VREDRAW;
     wndclass.lpfnWndProc   = WindowProc;
     wndclass.cbClsExtra    = 0;
     wndclass.cbWndExtra    = 0;
     wndclass.hInstance     = hInstance;
     wndclass.hIcon         = LoadIcon(NULL,IDI_WINLOGO);
     wndclass.hCursor       = LoadCursor(NULL,IDC_ARROW);
     wndclass.hbrBackground = (HBRUSH)GetStockObject (WHITE_BRUSH);
     wndclass.lpszMenuName  = NULL;
     wndclass.lpszClassName = "Snoopy";

	 // register WINDOW CLASS
     RegisterClass(&wndclass);

	 // store handle to application instance
     instance_handle = hInstance;

	 // ceate program main-window, although we don't need it
     hwnd = CreateWindow("Snoopy","Snoopy",WS_CAPTION,CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,NULL,NULL,hInstance,NULL);

	 // hide window
     ShowWindow (hwnd, SW_HIDE);

	 // window procedure look
     while (GetMessage (&msg, NULL, 0, 0))
     {
          TranslateMessage (&msg) ;
          DispatchMessage (&msg) ;
     }

	 // programs quit
     return (int)msg.wParam ;
}